package com.jkcredit.traffic.record.task;

import com.jkcredit.traffic.record.service.TrafficRecordsAnalyseService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
@Slf4j
public class PushRecordsTask {
    @Value("${originalRecords.path}")
    private String originalRecordsPath;
    @Value("${errorRecords.path}")
    private String errorRecordsPath;

    @Autowired
    TrafficRecordsAnalyseService trafficRecordsAnalyseService;

    @Scheduled(cron = "0 0 0/1 * * ?")
//    @Scheduled(cron = "0 0/2 * * * ?")
    public void push() {
        trafficRecordsAnalyseService.pushTrafficRecords(originalRecordsPath);
    }

    @Scheduled(cron = "0 0 3 * * ?")
//    @Scheduled(cron = "0 0/2 * * * ?")
    public void pushErrorRecords() {
        log.info("pushErrorRecordsScheduledBegin");
        long startTime = System.currentTimeMillis();
        trafficRecordsAnalyseService.pushErrorRecords(errorRecordsPath);
        log.info("pushErrorRecordsScheduledEnd:{}", (System.currentTimeMillis() - startTime));
    }


}
